using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FWHandler
{
    public static class MenuItem
    {
        public static MenuItemHandler Invoke(string name, int repeatingTime = 0)
        {
            return HandlerProvider.MenuItemHandler.Invoke(name, repeatingTime);
        }
        public static MenuItemHandler Click(string name, int repeatingTime = 0)
        {
            return HandlerProvider.MenuItemHandler.Click(name, repeatingTime);
        }
        public static MenuItemHandler DoubleClick(string name, int repeatingTime = 0)
        {
            return HandlerProvider.MenuItemHandler.DoubleClick(name, repeatingTime);
        }
        public static MenuItemHandler RightClick(string name, int repeatingTime = 0)
        {
            return HandlerProvider.MenuItemHandler.RightClick(name, repeatingTime);
        }
        public static bool Exist(string name, int repeatingTime = 0)
        {
            if (HandlerProvider.MenuItemHandler.Exist(name, repeatingTime) == true)
            {
                return true;
            }
            else
            {
                return false;
            }
        }
        public static bool IsVisible(string name, int repeatingTime = 0)
        {
            if (HandlerProvider.MenuItemHandler.IsVisible(name, repeatingTime) == true)
            {
                return true;
            }
            else
            {
                return false;
            }
        }
    }
}
